{"title":"Get picture (v1.0)","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v1.0/api/dynamics_picture_get/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_picture_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_picture_get","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"(v1.0) A picture object in Dynamics 365 Business Central.","date":"2024-05-01","meta":{"topic":"reference"},"outline":[{"level":1,"title":"Get picture (v1.0)","slug":"get-picture-v10","at":0,"chars":2150},{"level":2,"title":"HTTP request","slug":"http-request","at":105,"chars":461},{"level":2,"title":"Request headers (v1.0)","slug":"request-headers-v10","at":566,"chars":79},{"level":2,"title":"Response (v1.0)","slug":"response-v10","at":645,"chars":126},{"level":2,"title":"Example (v1.0)","slug":"example-v10","at":771,"chars":1131},{"level":2,"title":"Related information","slug":"related-information","at":1902,"chars":248}],"text":"# Get picture (v1.0)\nRetrieve the properties and relationships of a picture object for Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.s\n```\nGET businesscentralPrefix/companies({companyId})/items({itemId})/picture\nGET businesscentralPrefix/companies({companyId})/employee({employeeId})/picture\nGET businesscentralPrefix/companies({companyId})/vendor({vendorId})/picture\nGET businesscentralPrefix/companies({companyId})/customer({customerId})/picture\n\n```\n## Request headers (v1.0)\nHeader|Value\nAuthorization|Bearer {token}. Required.\n## Response (v1.0)\nIf successful, this method returns a ```200 OK``` response code and a picture object in the response body.\n## Example (v1.0)\nRequest\nHere is an example of the request.\nGET Metadata\n```json\nGET https://{businesscentralPrefix}/api/v1.0/companies(companyId)/items(itemId)/picture(itemId)\n```\nResponse\nHere is an example of the response.\n> NOTE\n> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.\n```json\n{\n  \"id\": \"d0e5d5da-795a-4924-b376-13665f794cdd\",\n  \"width\": 500,\n  \"height\": 496,\n  \"contentType\": \"image\\jpeg\",\n  \"content@odata.mediaEditLink\": \"https:\\\\api.businesscentral.dynamics-tie.com\\v1.0\\api\\beta\\companies(55c438d0-2f5c-44a0-9965-20b4923d0bef)\\items(d0e5d5da-795a-4924-b376-13665f794cdd)\\picture(d0e5d5da-795a-4924-b376-13665f794cdd)\\content\",\n  \"content@odata.mediaReadLink\": \"https:\\\\api.businesscentral.dynamics-tie.com\\v1.0\\api\\beta\\companies(55c438d0-2f5c-44a0-9965-20b4923d0bef)\\items(d0e5d5da-795a-4924-b376-13665f794cdd)\\picture(d0e5d5da-795a-4924-b376-13665f794cdd)\\content\"\n}\n```\nGET Content\n```json\nGET https://{businesscentralPrefix}/api/v1.0/companies(companyId)/items(itemId)/picture(itemId)/content\n```\nResponse\nBody is the raw image data.\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../dynamics_error_codes\n../dynamics_error_codes\n../resources/dynamics_picture\ndynamics_create_picture\ndynamics_picture_update\ndynamics_picture_delete"}